Subject: Re: [CCAMP] WG Last Call on draft-ietf-ccamp-lsp-attribute-ro-05

From: "Matt Hartley (mhartley)" <[email-masked]>
Date: Tue, 2 Dec 2014 17:09:53 +0000

OK with me. I had a few comments which, contrary to the s=instructions below, I've only sent to the authors because they're all just editorial nits.

Cheers

Matt

> All,
> 
> This starts a two-week working group last call on draft-ietf-ccamp-lsp-
> attribute-ro-05.
> 
> This working group last call ends on Friday December 5th. Please send your
> comments to the CCAMP mailing list.
> 
> As noted, there is one IPR disclosed.
> 
> Thanks,
> Lou (and Deborah)
> 
> 
> _______________________________________________
> CCAMP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ccamp

---

From: Ben Wright <[email-masked]>
Date: Thu, 4 Dec 2014 17:42:08 +0000

As a co-author, I support this document and believe it to be ready for publication. 

-----Original Message-----
From: CCAMP [mailto:[email-masked]] On Behalf Of Lou Berger
Sent: 21 November 2014 14:19
To: CCAMP
Subject: [CCAMP] WG Last Call on draft-ietf-ccamp-lsp-attribute-ro-05

All,
 
This starts a two-week working group last call on draft-ietf-ccamp-lsp-attribute-ro-05.
 
This working group last call ends on Friday December 5th. Please send your comments to the CCAMP mailing list.

Thanks,
Lou (and Deborah)

---

From: Steve Balls <[email-masked]>
Date: Thu, 4 Dec 2014 17:58:19 +0000

I similarly support this document, also as a co-author.

-----Original Message-----
From: CCAMP [mailto:[email-masked]] On Behalf Of Lou Berger
Sent: 21 November 2014 14:19
To: CCAMP
Subject: [CCAMP] WG Last Call on draft-ietf-ccamp-lsp-attribute-ro-05

All,

 
 
Thanks,
Lou (and Deborah)

---

From: "Giovanni Martinelli (giomarti)" <[email-masked]>
Date: Thu, 4 Dec 2014 20:56:08 +0000

reviewed & support for pubblication (… co-author).

Btw, did not found any IPR from http://datatracker.ietf.org/doc/draft-ietf-ccamp-lsp-attribute-ro. Any explicit reference to it?

cheers
G

---

From: Lou Berger <[email-masked]>
Date: Thu, 04 Dec 2014 16:07:32 -0500

humm, your right, I don't see one listed.  I had it in my notes, but it
seems I was mistaken.  Good catch.

Lou

---

From: Lou Berger <[email-masked]>
Date: Thu, 04 Dec 2014 17:40:19 -0500

> ... 
>  ...
Hi,

I have some minor/not level comments on the draft:

> 2. Requirements

Based on the contents and length of this section, perhaps rename this to
"1.x Overview"

I also think the language in this section is a bit rough and it would be
good for it to be cleaned up a bit.  Let me know if you need
suggestions, and I can provide off line.  

- Section 3 defines the "ERO Attributes subobject" and
"ERO_HOP_ATTRIBUTE subobject".  Why the different/inconsistent names? 
Also why the object style name?  How about using "ERO Hop Attributes
subobject"?   Obviously, this should be a global change. -- My remaining
comments will need to be modified to s/xRO_HOP_ATTRIBUTE/xRO Hop Attributes

- s/3. Specifying Hop Attribute/3. ERO Hop Attributes Subobject

- Doesn't the L bit need to be 0?  This should be added as a "MUST",
perhaps to section 3.1.

- Last paragraph in section 3.3: what about when the (ingress or
transit) processing node *originates* such a subobject?

- Section 4 has parallel naming issues:
s/4. Recording Hop attribute/4.  RRO Hop Attributes Subobject
s/RRO_HOP_ATTRIBUTE/RRO Hop Attributes/g

- Drop text redundant with RFC3209:
   Length  The Length contains the total length of the subobject in
      bytes, including the Type and Length fields.  The Length MUST be
      always divisible by 4.
- Section 4.2.1
s/RRO attribute/RRO Attributes

- In section 4.2.3
s/RRO_HOP_ATTRIBUTE/RRO Hop Attributes subobject
s/the RRO Attributes/the RRO Attributes subobject
s/LSP_REQUIRED_ATTRIBUTES, a node / LSP_REQUIRED_ATTRIBUTES objects, a node

- What is a LSP_ATTRIBUTE TLV? Do you mean the existing "LSP Attributes
TLVs" carried in the existing attribute objects?  If yes, this line is
counter to the previous line and should be dropped.  If not, what is
this referring to?

-s/LSP_REQUIRED_ATTRIBUTES, if/LSP_REQUIRED_ATTRIBUTES objects, when
- For "include the LSP_ATTRIBUTE" do you mean "report the attributes"?
- s/use the RRO_HOP_ATTRIBUTE/use the RRO Hop Attributes subobject
- s/RRO Attributes/RRO Attributes subobject

-Section 5.1, 5.2
Why include "ERO" in the IANA assigned subobject name?  This isn't the norm.

- section 5.3

It would be best to present this in table form to match what is in the
registry.

I think that's it,

Lou

---

From: Cyril Margaria <[email-masked]>
Date: Fri, 5 Dec 2014 08:45:03 -0500

Hi,

I support this document, and believe its ready for publication (After
integrating LC comments).

Cyril (Author)

---

From: Dhruv Dhody <[email-masked]>
Date: Fri, 5 Dec 2014 20:04:52 +0530

Support!

Some nits -
- Expand on first use - LSP, ERO, RRO (abstract/title including); SERO, LSR
- Unexpected 1.1. Contributing Authors
- sec 2 s/LSP attribute defined [RFC5420]/LSP attribute defined in [RFC5420]/

Regards,
Dhruv

---

From: "Dongjie (Jimmy)" <[email-masked]>
Date: Mon, 8 Dec 2014 01:13:07 +0000

Support!

Best regards,
Jie

> Sent: Friday, November 21, 2014 10:19 PM
> To: CCAMP

---

From: Lou Berger <[email-masked]>
Date: Mon, 08 Dec 2014 15:58:08 -0500

The WG LC is now closed for this now *TEAS* WG document.  (Yes this is a
really odd side effect of the WG changes.)

Please direct future discussion, including follow up to LC comments, on
this document to the TEAS WG.

Authors,
    Please discuss any issues raised (on the TEAS WG list) and submit
updates using the name draft-ietf-teas-lsp-attribute-ro.  As mentioned
on the TEAS list, please first republish
draft-ietf-ccamp-lsp-attribute-ro-05 as draft-ietf-teas-lsp-attribute-ro-00.

Thank you!
Lou (and Deborah)